- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Friends

# ClassDesc Class Reference

This reference page is linked to from the following overview topics: Mudbox 2013, Run-Time Type Information (RTTI).

Search for all occurrences

## Detailed Description

This structure represents and describes a class.

Examples:

  SampleViewportFilter/SampleViewportFilter.h, and TextureSwapperViewportFilter/TextureSwapperViewportFilter.h.

Definition at line 20 of file node.h.

`#include <node.h>`

List of all members.

## Public Member Functions
| ClassDesc (const ClassDesc *pParent0, const ClassDesc *pParent1, const QString &sName, const QString &sDisplayName, creator *pCreator, int iVersion=0, int iStreamVersion=0)
| Do not construct this structure directly, use the DECLARE_CLASS and #IMLEMENT_CLASS macros.
const ClassDesc * | Parent (unsigned int iIndex=0) const
| Get the class description for the parent class, or 0 if there is no parent.
const QString & | Name (void) const
| Returns the name of the class.
const QString & | DisplayName (void) const
| Returns the displayname of the class.
void | SetDisplayName (const QString &sName)
| Sets the displayname of the class.
bool | IsDerivedFrom (const ClassDesc *pClass) const
| Returns true if this class is derived from pClass.
class Node * | CreateInstances (int iCount=1) const
| Create instances of the class.
int | Version (void) const
| returns the version of the class.
## Static Public Member Functions
static const ClassDesc * | ByName (const QString &sName)
| Returns a class by its name, or 0 if the class is not found.
## Public Attributes
int | m_iStreamVersion
## Friends
class | Node
class | Stream
## Type enumeration functions
const ClassDesc * | Next (void) const
| Returns the next ClassDesc structure. Used when you want to enumerate all the classes (See also First())
static const ClassDesc * | First (void)
| Returns the first ClassDesc (See also Next()).

## Constructor & Destructor Documentation

ClassDesc | ( | const ClassDesc * | pParent0,
|  | const ClassDesc * | pParent1,
|  | const QString & | sName,
|  | const QString & | sDisplayName,
|  | creator * | pCreator,
|  | int | iVersion = `0`,
|  | int | iStreamVersion = `0`
| ) |  |

Do not construct this structure directly, use the DECLARE_CLASS and #IMLEMENT_CLASS macros.

## Member Function Documentation

const ClassDesc* Parent | ( | unsigned int | iIndex = `0` | ) | const

Search for all occurrences

Get the class description for the parent class, or 0 if there is no parent.

const QString& Name | ( | void |  | ) | const

Search for all occurrences

Returns the name of the class.

const QString& DisplayName | ( | void |  | ) | const

Search for all occurrences

Returns the displayname of the class.

void SetDisplayName | ( | const QString & | sName | ) |

Search for all occurrences

Sets the displayname of the class.

bool IsDerivedFrom | ( | const ClassDesc * | pClass | ) | const

Search for all occurrences

Returns true if this class is derived from pClass.

class Node* CreateInstances | ( | int | iCount = `1` | ) | const

Search for all occurrences

Create instances of the class.

static const ClassDesc* First | ( | void |  | ) | `[static]`

Search for all occurrences

Returns the first ClassDesc (See also Next()).

const ClassDesc* Next | ( | void |  | ) | const

Search for all occurrences

Returns the next ClassDesc structure. Used when you want to enumerate all the classes (See also First())

static const ClassDesc* ByName | ( | const QString & | sName | ) | `[static]`

Search for all occurrences

Returns a class by its name, or 0 if the class is not found.

int Version | ( | void |  | ) | const

Search for all occurrences

returns the version of the class.

## Friends And Related Function Documentation

friend class Node `[friend]`

Search for all occurrences

Definition at line 62 of file node.h.

friend class Stream `[friend]`

Search for all occurrences

Definition at line 63 of file node.h.

## Member Data Documentation

int m_iStreamVersion

Search for all occurrences

Definition at line 31 of file node.h.

The documentation for this class was generated from the following file:

- Mudbox/node.h

ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc
ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc ClassDesc